%%
% This script reads the faces from the CroppedYale database, resizes the
% images to 48x42 pixel, and stores the vectorized images in the array Xo.
% Xo{i} is a matrix, with the colums corresponding to the vectorized images
% of the ith person.
%
% Reinhard Heckel, 2013


% clear;
% faces to read, T subseteq 1,...,39
T = [1:13 15:39];

Nfaces = length(T);
N = 1;

Xo = cell(length(T),1);
for i=1:length(T)

    if T(i) < 10
        direct = ['./include/faces/CroppedYale/yaleB0' num2str(T(i)) '/'];
    else
        direct = ['./include/faces/CroppedYale/yaleB' num2str(T(i)) '/'];
    end
    files = dir([direct '*.pgm']);
    num_files = numel(files);
    n(i) = num_files;
    Xtmp = [];
    for k = 1:n(i)
        if isempty(strfind(files(k).name,'Ambient'))
            face = imread([direct files(k).name]);
            vface = im2double(reshape(face,1,[]));
            Xtmp = [Xtmp, vface' ];
        end
        
    end
    Xo{i} = Xtmp;
end

save('Xo.mat','Xo');

